HALT(8)

BEZEICHNUNG
halt, reboot, poweroff - hält das System an

ÜBERSICHT
/sbin/halt [-n] [-w] [-d] [-f] [-i] [-p] [-h]
/sbin/reboot [-n] [-w] [-d] [-f] [-i]
/sbin/poweroff [-n] [-w] [-d] [-f] [-i] [-h]

BESCHREIBUNG
halt vermerkt in der Datei /var/log/wtmp, dass das System heruntergefahren wird und weist den Kernel an, das System anzuhalten, neu zu starten oder abzuschalten.

Werden halt oder reboot aufgerufen, wenn das System normal läuft, es sich also nicht in einem der Runlevel 0 oder 6 befindet, wird dieser Aufruf durch einen Aufruf von shutdown (mit den Schaltern -h oder -r) ersetzt. Für weitere Informationen sei auf die Handbuchseite shutdown(8) verwiesen.

Der Rest dieser Handbuchseite beschreibt das Verhalten in den Runleveln 0 und 6, in denen die Skripte für das Herunterfahren des Systems laufen.

OPTIONEN

-n  Puffer nicht vor Neustart oder Anhalten zurückschreiben. Beachten Sie, dass der Kernel und Treiber für Speichergeräte das noch tun können. Dies impliziert -d.

-w  Nicht wirklich neu starten oder anhalten, sondern nur (in der Datei /var/log/wtmp den wtmp-Datensatz schreiben.

-d  Den wtmp-Datensatz nicht schreiben.

-f  Halt oder Neustart erzwingen, nicht shutdown(8) aufrufen.

-i  Alle Netzwerk-Schnittstellen kurz vor Stillstand oder Neustart herunterfahren.

-h  Alle Festplatten des Systems kurz vor Halt oder Abschalten der Stromversorgung in den Standby-Modus versetzen.

-p  Beim Anhalten des Systems die Stromversorgung abstellen. Das ist das Standardverhalten, wenn halt als poweroff aufgerufen wird.

DIAGNOSE
Wenn Sie nicht der Superuser sind, erhalten Sie die Nachricht »must be superuser«.

ANMERKUNGEN
Unter älteren Versionen von sysvinit sollten reboot und halt nie direkt aufgerufen werden. Ab Release 2,74 rufen halt und reboot shutdown(8) auf, wenn das System nicht in den Runleveln 0 oder 6 ist. Wenn also halt oder reboot das aktuelle Runlevel nicht ermitteln können (zum Beispiel, weil /var/run/utmp nicht richtig initialisiert wurde), wird shutdown (möglicherweise entgegen Ihrer Absicht) aufgerufen. Verwenden Sie den Schalter -f, wenn Sie das System »hart« anhalten oder neu starten wollen.

Der Schalter -h bringt alle Festplatten kurz vor Halt oder Power-Off in den Stand-by-Modus. Im Moment ist dies nur für IDE-Laufwerke implementiert. Ein Nebeneffekt des Übergangs in den Stand-by-Modus ist, dass der Schreib-Zwischenspeicher auf die Festplatte geschrieben wird. Dies ist wichtig für IDE-Laufwerke, da der Kernel selber den Schreib-Zwischenspeicher nicht vor dem Ausschalten leert.

Das Programm halt sucht in /proc/ide/hd* nach den IDE-Platten. Das bedeutet, dass beim Aufruf von halt oder poweroff /proc eingebunden sein muss.

AUTOR
Miquel van Smoorenburg, miquels@cistron.nl

SIEHE AUCH
init(8), shutdown(8)

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Martin Eberhard Schauer <Martin.E.Schauer@gmx.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.